<section
  class="filter-quick-access"
  *ngIf="accessPermission"
  [ngClass]="[accessPermission ? jds.mb(12) : '']"
>
  <div [ngClass]="jds.d('flex')">
    <div class="label">
      <label>Filter Aktif: </label>
    </div>
    <div>
      <button
        *ngFor="let row of organizationData"
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonDefault,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearOrganization(row.id)"
        type="button"
      >
        <span>{{ row.nama_skpd }}</span>
        <jds-bi-icon
          [ngClass]="[jds.ms(8)]"
          [size]="12"
          name="xmark"
        />
      </button>

      <button
        *ngFor="let row of topicData"
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonDefault,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearTopic(row.id)"
        type="button"
      >
        <span>{{ row.name }}</span>
        <jds-bi-icon
          [ngClass]="[jds.ms(8)]"
          [size]="12"
          name="xmark"
        />
      </button>

      <ng-container *ngIf="checkClassificationDataset">
        <button
          *ngFor="let row of classificationDatasetData"
          [ngClass]="[
            jds.button,
            jds.buttonSm,
            jds.buttonDefault,
            jds.d('inline-flex'),
            jds.textAlign('start'),
            jds.me(8),
            jds.mb(8)
          ]"
          (click)="clearClassificationDataset(row.id)"
          type="button"
        >
          <span>{{ row.name }}</span>
          <jds-bi-icon
            [ngClass]="[jds.ms(8)]"
            [size]="12"
            name="xmark"
          />
        </button>
      </ng-container>

      <button
        *ngFor="let row of classificationIndicatorData"
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonDefault,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearClassificationIndicator(row.id)"
        type="button"
      >
        <span>{{ row.name }}</span>
        <jds-bi-icon
          [ngClass]="[jds.ms(8)]"
          [size]="12"
          name="xmark"
        />
      </button>

      <button
        *ngFor="let row of qualityData"
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonDefault,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearQualityData(row.slug)"
        type="button"
      >
        <span>{{ row.name }}</span>
        <jds-bi-icon
          [ngClass]="[jds.ms(8)]"
          [size]="12"
          name="xmark"
        />
      </button>

      <button
        *ngFor="let row of datasetTagData"
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonDefault,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearDatasetTag(row.tag)"
        type="button"
      >
        <span>{{ row.tag }}</span>
        <jds-bi-icon
          [ngClass]="[jds.ms(8)]"
          [size]="12"
          name="xmark"
        />
      </button>

      <button
        *ngFor="let row of licenseData"
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonDefault,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearLicense(row.id)"
        type="button"
      >
        <span>{{ row.name }}</span>
        <jds-bi-icon
          [ngClass]="[jds.ms(8)]"
          [size]="12"
          name="xmark"
        />
      </button>

      <button
        [ngClass]="[
          jds.button,
          jds.buttonSm,
          jds.buttonLink,
          jds.d('inline-flex'),
          jds.textAlign('start'),
          jds.me(8),
          jds.mb(8)
        ]"
        (click)="clearAll()"
        type="button"
      >
        Hapus Semua
      </button>
    </div>
  </div>
</section>
